<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">
	<table width="312" align="center" cellspacing="0" cellpadding="0">
		<tr><td colspan="3"><img src="http://www.cs.unibo.it/~michetti/techweb/img/tab_top2.gif" width="480" heigth="17"/></td></tr>
		<xsl:apply-templates select="videogioco/generalita/principale/nome"/>
		<xsl:if test="(videogioco/extra/aiuto/soluzione) or (videogioco/extra/aiuto/consiglio)">
		<xsl:apply-templates select="videogioco/extra/aiuto/soluzione"/>
		<xsl:apply-templates select="videogioco/extra/aiuto/consiglio"/>
		</xsl:if>
		<xsl:if test="not((videogioco/extra/aiuto/soluzione) or (videogioco/extra/aiuto/consiglio))">
		<tr>
			<td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif" width="6"><font color="#000000">.</font></td>
			<td background="http://www.cs.unibo.it/~michetti/techweb/img/bg3.gif">
			<h4><center><br/>Non abbiamo soluzioni disponibili per questo gioco</center></h4>
			</td>
			<td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif" width="6"><font color="#000000">.</font></td>
		</tr>
		</xsl:if>
		<tr><td colspan="3"><img src="http://www.cs.unibo.it/~michetti/techweb/img/tab_bottom2.gif" width="480" heigth="17"/></td></tr>
	</table>
</xsl:template>

<xsl:template match="nome">
	<tr><td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif" width="6"><font color="#000000">.</font></td>
	<td background="http://www.cs.unibo.it/~michetti/techweb/img/bg3.gif"><h2><center><xsl:apply-templates/></center></h2></td>
	<td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif" width="6"><font color="#000000">.</font></td></tr>
</xsl:template>

<xsl:template match="soluzione">
	<xsl:if test="node()">
		<tr><td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif" width="6"><font color="#000000">.</font></td>
		<td background="http://www.cs.unibo.it/~michetti/techweb/img/bg3.gif"><h3><center><br/>SOLUZIONE</center></h3></td>
		<td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif" width="6"><font color="#000000">.</font></td></tr>
		
		<tr><td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif" width="6"><font color="#000000">.</font></td>
		<td background="http://www.cs.unibo.it/~michetti/techweb/img/bg3.gif"><div align="justified"><xsl:apply-templates/></div></td>
		<td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif" width="6"><font color="#000000">.</font></td></tr>
	</xsl:if>
</xsl:template>


<xsl:template match="consiglio">
	<xsl:if test="node()">
		<tr><td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif" width="6"><font color="#000000">.</font></td>
		<td background="http://www.cs.unibo.it/~michetti/techweb/img/bg3.gif"><h3><center><br/>CONSIGLIO</center></h3></td>
		<td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif" width="6"><font color="#000000">.</font></td></tr>
		
		<tr><td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif" width="6"><font color="#000000">.</font></td>
		<td background="http://www.cs.unibo.it/~michetti/techweb/img/bg3.gif"><div align="justified"><xsl:apply-templates/></div></td>
		<td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif" width="6"><font color="#000000">.</font></td></tr>
	</xsl:if>
</xsl:template>
</xsl:stylesheet>
