<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <!-- Template generale -->
    <xsl:template match="/">
        <html>
            <head>
                <title>
                    <xsl:value-of select="videogioco/generalita/principale/nome"/>
                </title>
            </head>
            <body background="http://www.cs.unibo.it/~michetti/techweb/img/bg.gif">
                <table align="center" width="700">
                    <tr>
                        <!-- Colonna di sinistra, con gli screenshot -->
                        <td width="130">
							<!-- tabella della copertina -->
                            <table width="112" border="0" cellpadding="0" cellspacing="0">
								<tr>
									<td colspan="3"><img src="http://www.cs.unibo.it/~michetti/techweb/img/tab_top.gif" width="112" height="10"/></td>
								</tr>
                                <tr>
									<td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif" width="6"><font color="#000000">.</font></td>
                                    <td height="120" width="100" bgcolor="#000000"><xsl:apply-templates select="videogioco/generalita/principale/copertina"/></td>
									<td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif" width="6"><font color="#000000">.</font></td>
                                </tr>
								<tr>
									<td colspan="3"><img src="http://www.cs.unibo.it/~michetti/techweb/img/tab_bottom.gif" width="112" height="10"/></td>
								</tr>
							<!-- fine tabella della copertina -->
                            </table>
                        </td>
                        <!-- Colonna di destra, con il titolo -->
                        <td valign="top">
                            <xsl:apply-templates select="videogioco" mode="titolo"/>
                        </td>
                    </tr>
                    <tr>
                        <td valign="top">
                            <br/>
                            <table width="102" align="center" cellpadding="0" cellspacing="0">
								<tr>
									<td colspan="3"><img src="http://www.cs.unibo.it/~michetti/techweb/img/tab_top.gif" width="102" height="9"/></td>
								</tr>
                                <xsl:apply-templates mode="elenco" select="//screenshot"/>
								<tr>
									<td colspan="3"><img src="http://www.cs.unibo.it/~michetti/techweb/img/tab_bottom.gif" width="102" height="9"/></td>
								</tr>
                            </table>
                        </td>
                        <td valign="top">
                            <xsl:apply-templates select="videogioco"/>
                        </td>
                    </tr>
                </table>
            </body>
        </html>
    </xsl:template>
    <xsl:template match="copertina">
        <xsl:if test="node()">
                    <img height="120" width="100">
                        <xsl:attribute name="src">
                            <xsl:value-of select="immagine/@href"/>
                        </xsl:attribute>
                    </img>
        </xsl:if>
        <xsl:if test="not(node())">
                    <img height="120" width="100" src="http://www.cs.unibo.it/~michetti/techweb/img/cover_art_na.gif"/>
        </xsl:if>
    </xsl:template>
    <xsl:template match="screenshot" mode="elenco">
        <xsl:if test="position()&lt;=5">
            <tr height="70" width="90">
				<td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif" width="6"></td>
                <td>
                    <center>
                        <img height="70" width="90">
                            <xsl:attribute name="src">
                                <xsl:value-of select="immagine/@href"/>
                            </xsl:attribute>
                        </img>
                    </center>
                </td>
				<td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif" width="6"></td>
            </tr>
        </xsl:if>
    </xsl:template>
    <xsl:template match="screenshot">
        <xsl:if test="position()&lt;=5">
            <center>
                <img/>
                <xsl:attribute name="src">
                    <xsl:value-of select="immagine/@href"/>
                </xsl:attribute>
            </center>
        </xsl:if>
    </xsl:template>
    <xsl:template match="immagine">
        <xsl:apply-templates/>
    </xsl:template>
    <xsl:template match="generalita">
        <xsl:apply-templates/>
    </xsl:template>

    <xsl:template match="videogioco" mode="titolo">
        <!-- Tabella con i dati principali -->
        <table align="center" valign="top" width="540" cellpadding="0" cellspacing="0">
			<tr>
				<td colspan="3"><img src="http://www.cs.unibo.it/~michetti/techweb/img/tab_top2.gif" width="540" height="20"/></td>
			</tr>
            <tr>
				<td width="6" background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif"><font color="#000000">.</font></td>
                <td  background="http://www.cs.unibo.it/~michetti/techweb/img/bg3.gif">
                    <xsl:apply-templates select="generalita/principale/nome"/>
                    <xsl:apply-templates select="generalita/principale/sottotitolo"/>
                </td>
				<td width="6" background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif"><font color="#000000">.</font></td>
            </tr>
            <tr >
				<td width="6" background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif"><font color="#000000">.</font></td>
                <td background="http://www.cs.unibo.it/~michetti/techweb/img/bg3.gif"><center><img src="http://www.cs.unibo.it/~michetti/techweb/img/tab_separatore.gif"/></center></td>
				<td width="6" background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif"><font color="#000000">.</font></td>
            </tr>
			<tr>
				<td width="6" background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif"><font color="#000000">.</font></td>
                <td  background="http://www.cs.unibo.it/~michetti/techweb/img/bg3.gif">
                    <xsl:apply-templates select="generalita/ausiliaria/occhiello"/>
                </td>
				<td width="6" background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif"><font color="#000000">.</font></td>
            </tr>
			<tr>
				<td colspan="3"><img src="http://www.cs.unibo.it/~michetti/techweb/img/tab_bottom2.gif" width="540" height="20"/></td>
			</tr>
        </table>
    </xsl:template>

    <xsl:template match="videogioco">
        <br/>
        <!-- Tabella con i dati secondari -->
        <table align="center" valign="top" width="540" cellspacing="0" cellpadding="0">
            <tr>
                <td colspan="3"><img src="http://www.cs.unibo.it/~michetti/techweb/img/tab_top2.gif" width="540" height="20"/></td>
            </tr>
            <tr>
				<td width="6" background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif"><font color="#000000">.</font></td>
                <td background="http://www.cs.unibo.it/~michetti/techweb/img/bg3.gif" width="528">
                    <table border="0" valign="top" width="528">
                        <tr>
                            <td width="50%">
                                <div align="right">GENERE</div>
                            </td>
                            <td width="50%">
                                <xsl:apply-templates select="generalita/principale/genere"/>
                            </td>
                        </tr>
                        <xsl:apply-templates select="generalita/principale/autore"/>
                        <tr>
                            <td>
                                <div align="right">ANNO</div>
                            </td>
                            <td>
                                <xsl:apply-templates select="generalita/principale/datauscita"/>
                            </td>
                        </tr>
                        <xsl:if test="generalita/principale/sitoufficiale">
                            <tr>
                                <td>
                                    <div align="right">SITO UFFICIALE</div>
                                </td>
                                <td><div style="word-wrap: break-word;">
                                    <a alink="#0000FF" vlink="#0000FF" link="#0000FF">
                                        <xsl:attribute name="href">
                                            <xsl:value-of select="generalita/principale/sitoufficiale"/>
                                        </xsl:attribute>
                                        <xsl:apply-templates select="generalita/principale/sitoufficiale"/>
                                    </a>
				    </div>
                                </td>
                            </tr>
                        </xsl:if>
                        <tr>
                            <td>
                                <div align="right">VOTO</div>
                            </td>
                            <td>
                                <xsl:apply-templates mode="main" select="recensione/valutazione/voto"/>
                            </td>
                        </tr>
                    </table>
                </td>
				<td width="6" background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif"><font color="#000000">.</font></td>
            </tr>
			<tr>
				<td colspan="3"><img src="http://www.cs.unibo.it/~michetti/techweb/img/tab_bottom2.gif" width="540" height="20"/></td>
			</tr>
        </table>
		<!-- fine tabella con i detagli generali -->

        <br/>

        <!-- Tabella con le piattaforme -->
        <table align="center" width="540" cellspacing="0" cellpadding="0">
			<tr>
				<td colspan="3"><img src="http://www.cs.unibo.it/~michetti/techweb/img/tab_top2.gif" width="540" height="20"/></td>
			</tr>
            <tr>
				<td width="6" background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif"><font color="#000000">.</font></td>
                <td background="http://www.cs.unibo.it/~michetti/techweb/img/bg3.gif"><center><b>PIATTAFORME DISPONIBILI</b></center>
					<hr align="center" width="100%" size="1"  noshade="yes"/>
                    <table border="0" width="100%">
                        <xsl:apply-templates select="generalita/ausiliaria/piattaforma"/>
                    </table>
                </td>
				<td width="6" background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif"><font color="#000000">.</font></td>
            </tr>
			<tr>
				<td colspan="3"><img src="http://www.cs.unibo.it/~michetti/techweb/img/tab_bottom2.gif" width="540" height="20"/></td>
			</tr>
        </table>
    </xsl:template>
    <xsl:template match="principale">
        <xsl:apply-templates/>
    </xsl:template>
    <xsl:template match="piattaforma">
        <xsl:if test="pc">
            <xsl:apply-templates select="pc"/>
        </xsl:if>
        <xsl:if test="console">
            <xsl:apply-templates select="console"/>
			</xsl:if>
    </xsl:template>
    <xsl:template match="pc">
        <tr>
            <td width="80">
                <xsl:if test="so/@famiglia='windows'">
                    <img alt="Windows" height="50" src="http://www.cs.unibo.it/~michetti/techweb/img/win.jpg" width="70"/>
                </xsl:if>
                <xsl:if test="so/@famiglia='unix'">
                    <img alt="Unix-like" height="50" src="http://www.cs.unibo.it/~michetti/techweb/img/unix.jpg" width="70"/>
                </xsl:if>
                <xsl:if test="so/@famiglia='mac'">
                    <img alt="Mac" height="50" src="http://www.cs.unibo.it/~michetti/techweb/img/mac.jpg" width="70"/>
                </xsl:if>
                <xsl:if test="so/@famiglia='amiga'">
                    <img alt="Amiga" height="50" src="http://www.cs.unibo.it/~michetti/techweb/img/amiga.gif" width="70"/>
                </xsl:if>
            </td>
            <td>
                <xsl:apply-templates select="req_min"/>
                <br/>
                <xsl:apply-templates select="req_cons"/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="console">
        <tr>
            <td width="80">
                <xsl:if test="@tipo='dreamcast'">
                    <img alt="Dreamcast" height="50" src="http://www.cs.unibo.it/~michetti/techweb/img/dc.jpg" width="70"/>
                </xsl:if>
                <xsl:if test="@tipo='psx'">
                    <img alt="Playstation" height="50" src="http://www.cs.unibo.it/~michetti/techweb/img/psx.gif" width="70"/>
                </xsl:if>
                <xsl:if test="@tipo='psx2'">
                    <img alt="Playstation 2" height="50" src="http://www.cs.unibo.it/~michetti/techweb/img/psx2.jpg" width="70"/>
                </xsl:if>
                <xsl:if test="@tipo='gamecube'">
                    <img alt="Gamecube" height="50" src="http://www.cs.unibo.it/~michetti/techweb/img/gc.jpg" width="70"/>
                </xsl:if>
                <xsl:if test="@tipo='xbox'">
                    <img alt="XBox" height="50" src="http://www.cs.unibo.it/~michetti/techweb/img/xbox.jpg" width="70"/>
                </xsl:if>
            </td>
            <td>
                <xsl:apply-templates select="req_cons"/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="so"/>
    <xsl:template match="req_min">
        <b>REQ MIN:</b>
        <xsl:apply-templates/>
    </xsl:template>
    <xsl:template match="req_cons">
        <b>REQ CONS:</b>
        <xsl:apply-templates/>
    </xsl:template>
    <xsl:template match="nome">
        <h1>
            <center>
                <xsl:apply-templates/>
            </center>
        </h1>
    </xsl:template>
    <xsl:template match="sottotitolo">
        <h3>
            <center>
                <xsl:apply-templates/>
            </center>
        </h3>
    </xsl:template>
    <xsl:template match="occhiello">
        <div align="justified">
            <xsl:apply-templates/>
        </div>
    </xsl:template>
    <xsl:template match="genere">
        <xsl:if test="sport">Sport <xsl:if test="sport/@cat != 'altro'">> <xsl:value-of select="sport/@cat"/>
            </xsl:if>
        </xsl:if>
        <xsl:if test="azione">Azione > <xsl:value-of select="azione/@cat"/>
        </xsl:if>
        <xsl:if test="avventura_grafica">Avventura Grafica</xsl:if>
        <xsl:if test="rpg">RPG <xsl:if test="rpg/@cat != 'altro'">> <xsl:value-of select="sport/@cat"/>
            </xsl:if>
        </xsl:if>
        <xsl:if test="puzzle">Puzzle <xsl:if test="puzzle/@cat != 'altro'">> <xsl:value-of select="sport/@cat"/>
            </xsl:if>
        </xsl:if>
        <xsl:if test="strategia">Strategia > <xsl:value-of select="strategia/@cat"/>
        </xsl:if>
        <xsl:if test="platform">Platform</xsl:if>
        <xsl:if test="simulazione">Simulazione <xsl:if test="simulazione/@cat != 'altro'">>
                    <xsl:value-of select="sport/@cat"/>
            </xsl:if>
        </xsl:if>
    </xsl:template>
    <xsl:template match="autore">
        <xsl:if test="@tipo='sviluppatore'">
            <tr>
                <td>
                    <div align="right">SVILUPPATORE</div>
                </td>
                <td>
                    <xsl:value-of select="node()"/>
                </td>
            </tr>
        </xsl:if>
        <xsl:if test="@tipo='distributore'">
            <tr>
                <td>
                    <div align="right">DISTRIBUTORE</div>
                </td>
                <td>
                    <xsl:value-of select="node()"/>
                </td>
            </tr>
        </xsl:if>
        <xsl:if test="@tipo='softwarehouse'">
            <tr>
                <td>
                    <div align="right">SOFTWARE HOUSE</div>
                </td>
                <td>
                    <xsl:value-of select="node()"/>
                </td>
            </tr>
        </xsl:if>
    </xsl:template>
    <xsl:template match="datauscita">
        <xsl:value-of select="@anno"/>
    </xsl:template>
    <xsl:template match="voto" mode="main">
        <xsl:choose>
            <!--Votocomplessivo ; votomax-->
            <xsl:when test="@votomax='10'">
                <xsl:choose>
                    <xsl:when test="@votocomplessivo&lt;=1">
                        <img alt="una ciofeca!" src="http://www.cs.unibo.it/~michetti/techweb/img/0stelle.gif"/>
                    </xsl:when>
                    <xsl:when test="@votocomplessivo&lt;=3">
                        <img alt="fa quasi schifo" src="http://www.cs.unibo.it/~michetti/techweb/img/1stelle.gif"/>
                    </xsl:when>
                    <xsl:when test="@votocomplessivo&lt;=5">
                        <img alt="niente di che.." src="http://www.cs.unibo.it/~michetti/techweb/img/2stelle.gif"/>
                    </xsl:when>
                    <xsl:when test="@votocomplessivo&lt;=7">
                        <img alt="nella media" src="http://www.cs.unibo.it/~michetti/techweb/img/3stelle.gif"/>
                    </xsl:when>
                    <xsl:when test="@votocomplessivo&lt;=9">
                        <img alt="proprio un bel lavoro!!" src="http://www.cs.unibo.it/~michetti/techweb/img/4stelle.gif"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <img alt="un capolavoro!" src="http://www.cs.unibo.it/~michetti/techweb/img/5stelle.gif"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="@votomax='100'">
                <xsl:choose>
                    <xsl:when test="@votocomplessivo&lt;=10">
                        <img alt="una ciofeca!" src="http://www.cs.unibo.it/~michetti/techweb/img/0stelle.gif"/>
                    </xsl:when>
                    <xsl:when test="@votocomplessivo&lt;=30">
                        <img alt="fa quasi schifo" src="http://www.cs.unibo.it/~michetti/techweb/img/1stelle.gif"/>
                    </xsl:when>
                    <xsl:when test="@votocomplessivo&lt;=50">
                        <img alt="niente di che.." src="http://www.cs.unibo.it/~michetti/techweb/img/2stelle.gif"/>
                    </xsl:when>
                    <xsl:when test="@votocomplessivo&lt;=70">
                        <img alt="nella media" src="http://www.cs.unibo.it/~michetti/techweb/img/3stelle.gif"/>
                    </xsl:when>
                    <xsl:when test="@votocomplessivo&lt;=90">
                        <img alt="proprio un bel lavoro!!" src="http://www.cs.unibo.it/~michetti/techweb/img/4stelle.gif"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <img alt="un capolavoro!" src="http://www.cs.unibo.it/~michetti/techweb/img/5stelle.gif"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="@votomax='5'">
                <xsl:choose>
                    <xsl:when test="@votocomplessivo=0">
                        <img alt="una ciofeca!" src="http://www.cs.unibo.it/~michetti/techweb/img/0stelle.gif"/>
                    </xsl:when>
                    <xsl:when test="@votocomplessivo=1">
                        <img alt="fa quasi schifo" src="http://www.cs.unibo.it/~michetti/techweb/img/1stelle.gif"/>
                    </xsl:when>
                    <xsl:when test="@votocomplessivo=2">
                        <img alt="niente di che.." src="http://www.cs.unibo.it/~michetti/techweb/img/2stelle.gif"/>
                    </xsl:when>
                    <xsl:when test="@votocomplessivo=3">
                        <img alt="nella media" src="http://www.cs.unibo.it/~michetti/techweb/img/3stelle.gif"/>
                    </xsl:when>
                    <xsl:when test="@votocomplessivo=4">
                        <img alt="proprio un bel lavoro!!" src="http://www.cs.unibo.it/~michetti/techweb/img/4stelle.gif"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <img alt="un capolavoro!" src="http://www.cs.unibo.it/~michetti/techweb/img/5stelle.gif"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:otherwise>
                <xsl:value-of select="@votocomplessivo"/>/<xsl:value-of select="@votomax"/>
            </xsl:otherwise>
        </xsl:choose>
        <xsl:apply-templates select="node()"/>
    </xsl:template>
</xsl:stylesheet>
