<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <!-- Template generale -->
    <xsl:template match="/">
        <html>
            <head>
                <title>
                    <xsl:value-of select="videogioco/generalita/principale/nome"/>
                </title>
            </head>
            <body  background="http://www.cs.unibo.it/~michetti/techweb/img/bg2.gif">
                <table align="center" width="700">
                    <tr>
                        <!-- Colonna di sinistra, con gli screenshot -->
                        <td valign="middle" width="130">
                            <table height="112" cellpadding="0" cellspacing="0">
				<tr><td colspan="3"><img src="http://www.cs.unibo.it/~michetti/techweb/img/tab_top.gif" width="112" height="10"/></td></tr>
                                <tr>
					<td width="6" background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif"><font color="#000000">.</font></td>
					    <td height="120" width="100" bgcolor="#000000">
						<xsl:apply-templates select="videogioco/generalita/principale/copertina"/>
					    </td>
					<td width="6" background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif"><font color="#000000">.</font></td>
                                </tr>
				<tr><td colspan="3"><img src="http://www.cs.unibo.it/~michetti/techweb/img/tab_bottom.gif" width="112" height="10"/></td></tr>
                            </table>
                        </td>
                        <!-- Colonna di destra, con il titolo -->
                        <td valign="top">
                            <xsl:apply-templates mode="titolo" select="videogioco"/>
                        </td>
                    </tr>
                    <tr>
                        <td valign="top">
                            <br/>
                            <table width="112" cellspacing="0" cellpadding="0">
			    	<tr><td colspan="3"><img src="http://www.cs.unibo.it/~michetti/techweb/img/tab_top.gif" width="112" height="10"/></td></tr>
                                <xsl:apply-templates mode="elenco" select="//screenshot"/>
				<tr><td colspan="3"><img src="http://www.cs.unibo.it/~michetti/techweb/img/tab_bottom.gif" width="112" height="10"/></td></tr>
                            </table>
                        </td>
                        <td valign="top">
                            <xsl:apply-templates select="videogioco"/>
                        </td>
                    </tr>
                </table>
            </body>
        </html>
    </xsl:template>
    <xsl:template match="copertina">
        <xsl:if test="node()">
            <img height="120" width="100">
                <xsl:attribute name="src">
                    <xsl:value-of select="immagine/@href"/>
                </xsl:attribute>
            </img>
        </xsl:if>
    </xsl:template>
    <xsl:template match="screenshot" mode="elenco">
        <xsl:if test="position()&lt;=5">
            <tr height="70" width="90">
	    	<td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif" width="6"><font color="#000000">.</font></td>
                <td bgcolor="#000000">
                    <center>
                        <img height="70" width="90">
                            <xsl:attribute name="src">
                                <xsl:value-of select="immagine/@href"/>
                            </xsl:attribute>
                        </img>
                    </center>
                </td>
	    	<td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif" width="6"><font color="#000000">.</font></td>
            </tr>
        </xsl:if>
    </xsl:template>
    <xsl:template match="screenshot">
        <xsl:if test="position()&lt;=5">
            <center>
                <img/>
                <xsl:attribute name="src">
                    <xsl:value-of select="immagine/@href"/>
                </xsl:attribute>
            </center>
        </xsl:if>
    </xsl:template>
    <xsl:template match="immagine">
        <xsl:apply-templates/>
    </xsl:template>
    <xsl:template match="generalita">
        <xsl:apply-templates/>
    </xsl:template>
    <xsl:template match="videogioco" mode="titolo">
        <!-- Tabella con i dati principali -->
        <table align="center" valign="top" width="540" cellspacing="0" cellpadding="0">
		<tr><td colspan="3"><img src="http://www.cs.unibo.it/~michetti/techweb/img/tab_top2.gif" width="540" height="20"/></td></tr>
            <tr>
		<td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif"><font color="#000000">.</font></td>
                <td background="http://www.cs.unibo.it/~michetti/techweb/img/bg3.gif">
                    <xsl:apply-templates select="generalita/principale/nome"/>
                    <xsl:apply-templates select="generalita/principale/sottotitolo"/>
                </td>
		<td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif"><font color="#000000">.</font></td>
            </tr>
            <tr>
		<td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif"><font color="#000000">.</font></td>
                <td background="http://www.cs.unibo.it/~michetti/techweb/img/bg3.gif">
                    <xsl:apply-templates select="generalita/ausiliaria/occhiello"/>
                </td>
		<td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif"><font color="#000000">.</font></td>
            </tr>
            <tr>
                <td colspan="3">
			<img src="http://www.cs.unibo.it/~michetti/techweb/img/tab_bottom2.gif" width="540" height="20"/>
                </td>
            </tr>
        </table>
    </xsl:template>
    <xsl:template match="videogioco">
        <br/>
        <!-- Tabella con i dati secondari -->
        <table align="center" valign="top" width="540" cellspacing="0" cellpadding="0">
		<tr><td colspan="3"><img src="http://www.cs.unibo.it/~michetti/techweb/img/tab_top2.gif" width="540" height="20"/></td></tr>
            <tr>
		<td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif" width="6"><font color="#000000">.</font></td>
                <td background="http://www.cs.unibo.it/~michetti/techweb/img/bg3.gif">
                    <table border="0" valign="top" width="100%">
                        <tr>
                            <td width="50%">
                                <div align="right">GENERE</div>
                            </td>
                            <td>
                                <xsl:apply-templates select="generalita/principale/genere"/>
                            </td>
                        </tr>
                        <xsl:apply-templates select="generalita/principale/autore"/>
                        <tr>
                            <td>
                                <div align="right">ANNO</div>
                            </td>
                            <td>
                                <xsl:apply-templates select="generalita/principale/datauscita"/>
                            </td>
                        </tr>
                        <xsl:if test="generalita/principale/sitoufficiale">
                            <tr>
                                <td>
                                    <div align="right">SITO UFFICIALE</div>
                                </td>
                                <td>
                                    <a>
                                        <xsl:attribute name="href">
                                            <xsl:value-of select="generalita/principale/sitoufficiale"/>
                                        </xsl:attribute>
                                        <xsl:apply-templates select="generalita/principale/sitoufficiale"/>
                                    </a>
                                </td>
                            </tr>
                        </xsl:if>
                        <tr>
                            <td>
                                <div align="right">VOTO</div>
                            </td>
                            <td>
                                <xsl:apply-templates mode="main" select="recensione/valutazione/voto"/>
                            </td>
                        </tr>
                    </table>
                </td>
		<td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif" width="6"><font color="#000000">.</font></td>
            </tr>
            <tr>
                <td colspan="3">
			<img src="http://www.cs.unibo.it/~michetti/techweb/img/tab_bottom2.gif" width="540" height="20"/>
                </td>
            </tr>
        </table>
        <br/>
        <!-- RECENSIONI -->
        <table align="center" valign="top" width="540" cellspacing="0" cellpadding="0">
            <xsl:apply-templates select="recensione"/>
        </table>
    </xsl:template>
    <xsl:template match="principale">
        <xsl:apply-templates/>
    </xsl:template> 
    <xsl:template match="nome">
        <h1>
            <center>
                <xsl:apply-templates/>
            </center>
        </h1>
    </xsl:template>
    <xsl:template match="sottotitolo">
        <h3>
            <center>
                <xsl:apply-templates/>
            </center>
        </h3>
    </xsl:template>
    <xsl:template match="occhiello">
        <div align="justified">
            <xsl:apply-templates/>
        </div>
    </xsl:template>
    <xsl:template match="genere">
        <xsl:if test="sport">Sport <xsl:if test="sport/@cat != 'altro'">> <xsl:value-of select="sport/@cat"/>
            </xsl:if>
        </xsl:if>
        <xsl:if test="azione">Azione > <xsl:value-of select="azione/@cat"/>
        </xsl:if>
        <xsl:if test="avventura_grafica">Avventura Grafica</xsl:if>
        <xsl:if test="rpg">RPG <xsl:if test="rpg/@cat != 'altro'">> <xsl:value-of select="sport/@cat"/>
            </xsl:if>
        </xsl:if>
        <xsl:if test="puzzle">Puzzle <xsl:if test="puzzle/@cat != 'altro'">> <xsl:value-of select="sport/@cat"/>
            </xsl:if>
        </xsl:if>
        <xsl:if test="strategia">Strategia > <xsl:value-of select="strategia/@cat"/>
        </xsl:if>
        <xsl:if test="platform">Platform</xsl:if>
        <xsl:if test="simulazione">Simulazione <xsl:if test="simulazione/@cat != 'altro'">>
                    <xsl:value-of select="sport/@cat"/>
            </xsl:if>
        </xsl:if>
    </xsl:template>
    <xsl:template match="autore">
        <xsl:if test="@tipo='sviluppatore'">
            <tr>
                <td>
                    <div align="right">SVILUPPATORE</div>
                </td>
                <td>
                    <xsl:value-of select="//autore[@tipo='sviluppatore']"/>
                </td>
            </tr>
        </xsl:if>
        <xsl:if test="@tipo='distributore'">
            <tr>
                <td>
                    <div align="right">DISTRIBUTORE</div>
                </td>
                <td>
                    <xsl:value-of select="//autore[@tipo='distributore']"/>
                </td>
            </tr>
        </xsl:if>
        <xsl:if test="@tipo='softwarehouse'">
            <tr>
                <td>
                    <div align="right">SOFTWARE HOUSE</div>
                </td>
                <td>
                    <xsl:value-of select="//autore[@tipo='softwarehouse']"/>
                </td>
            </tr>
        </xsl:if>
    </xsl:template>
    <xsl:template match="datauscita">
        <xsl:value-of select="@anno"/>
    </xsl:template>
    <xsl:template match="voto" mode="main">
        <xsl:choose>
            <!--Votocomplessivo ; votomax-->
            <xsl:when test="@votomax='10'">
                <xsl:choose>
                    <xsl:when test="@votocomplessivo&lt;=1">
                        <img alt="una ciofeca!" src="http://www.cs.unibo.it/~michetti/techweb/img/0stelle.gif"/>
                    </xsl:when>
                    <xsl:when test="@votocomplessivo&lt;=3">
                        <img alt="fa quasi schifo" src="http://www.cs.unibo.it/~michetti/techweb/img/1stelle.gif"/>
                    </xsl:when>
                    <xsl:when test="@votocomplessivo&lt;=5">
                        <img alt="niente di che.." src="http://www.cs.unibo.it/~michetti/techweb/img/2stelle.gif"/>
                    </xsl:when>
                    <xsl:when test="@votocomplessivo&lt;=7">
                        <img alt="nella media" src="http://www.cs.unibo.it/~michetti/techweb/img/3stelle.gif"/>
                    </xsl:when>
                    <xsl:when test="@votocomplessivo&lt;=9">
                        <img alt="proprio un bel lavoro!!" src="http://www.cs.unibo.it/~michetti/techweb/img/4stelle.gif"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <img alt="un capolavoro!" src="http://www.cs.unibo.it/~michetti/techweb/img/5stelle.gif"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="@votomax='100'">
                <xsl:choose>
                    <xsl:when test="@votocomplessivo&lt;=10">
                        <img alt="una ciofeca!" src="http://www.cs.unibo.it/~michetti/techweb/img/0stelle.gif"/>
                    </xsl:when>
                    <xsl:when test="@votocomplessivo&lt;=30">
                        <img alt="fa quasi schifo" src="http://www.cs.unibo.it/~michetti/techweb/img/1stelle.gif"/>
                    </xsl:when>
                    <xsl:when test="@votocomplessivo&lt;=50">
                        <img alt="niente di che.." src="http://www.cs.unibo.it/~michetti/techweb/img/2stelle.gif"/>
                    </xsl:when>
                    <xsl:when test="@votocomplessivo&lt;=70">
                        <img alt="nella media" src="http://www.cs.unibo.it/~michetti/techweb/img/3stelle.gif"/>
                    </xsl:when>
                    <xsl:when test="@votocomplessivo&lt;=90">
                        <img alt="proprio un bel lavoro!!" src="http://www.cs.unibo.it/~michetti/techweb/img/4stelle.gif"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <img alt="un capolavoro!" src="http://www.cs.unibo.it/~michetti/techweb/img/5stelle.gif"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:when test="@votomax='5'">
                <xsl:choose>
                    <xsl:when test="@votocomplessivo=0">
                        <img alt="una ciofeca!" src="http://www.cs.unibo.it/~michetti/techweb/img/0stelle.gif"/>
                    </xsl:when>
                    <xsl:when test="@votocomplessivo=1">
                        <img alt="fa quasi schifo" src="http://www.cs.unibo.it/~michetti/techweb/img/1stelle.gif"/>
                    </xsl:when>
                    <xsl:when test="@votocomplessivo=2">
                        <img alt="niente di che.." src="http://www.cs.unibo.it/~michetti/techweb/img/2stelle.gif"/>
                    </xsl:when>
                    <xsl:when test="@votocomplessivo=3">
                        <img alt="nella media" src="http://www.cs.unibo.it/~michetti/techweb/img/3stelle.gif"/>
                    </xsl:when>
                    <xsl:when test="@votocomplessivo=4">
                        <img alt="proprio un bel lavoro!!" src="http://www.cs.unibo.it/~michetti/techweb/img/4stelle.gif"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <img alt="un capolavoro!" src="http://www.cs.unibo.it/~michetti/techweb/img/5stelle.gif"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:otherwise>
                <xsl:value-of select="@votocomplessivo"/>/<xsl:value-of select="@votomax"/>
            </xsl:otherwise>
        </xsl:choose>
        <xsl:apply-templates select="node()"/>
    </xsl:template>
    <xsl:template match="recensione">
        <tr>
            <td colspan="3">
		<img src="http://www.cs.unibo.it/~michetti/techweb/img/tab_top2.gif" width="540" height="20"/>
            </td>
        </tr>
        <tr>
		<td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif" width="6"><font color="#000000">.</font></td>
            <td background="http://www.cs.unibo.it/~michetti/techweb/img/bg3.gif">
                <h2>
                    <center>
                        <xsl:value-of select="@titolo"/>
                    </center>
                </h2>
                <h3>
                    <center>
                        <xsl:if test="@autore">
				(<xsl:value-of select="@autore"/>
                            	<xsl:if test="(@data) and (@data != '')"> - <xsl:value-of select="@data"/>
				</xsl:if>)
                        </xsl:if>
                    </center>
                </h3>
            </td>
		<td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif" width="6"><font color="#000000">.</font></td>
        </tr>

                <xsl:apply-templates select="paragrafo"/>
        <tr>
            <td colspan="3">
		<img src="http://www.cs.unibo.it/~michetti/techweb/img/tab_bottom2.gif" width="540" height="20"/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="paragrafo">
        <tr>
		<td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif" width="6"><font color="#000000">.</font></td>
        <td background="http://www.cs.unibo.it/~michetti/techweb/img/bg3.gif">
            <xsl:if test="titolo">
                <h3>
                    <center>
                        <xsl:value-of select="titolo"/>
                    </center>
                </h3>
            </xsl:if>
            <xsl:if test="corpo">
                <div align="justified">
                    <xsl:apply-templates select="corpo"/>
                </div>
            </xsl:if>
            </td>
		<td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif" width="6"><font color="#000000">.</font></td>
        </tr>
    </xsl:template>
    
    <xsl:template match="corpo">
        <xsl:apply-templates/>
    </xsl:template>
</xsl:stylesheet>
